<!--
  Generated template for the UbahKataKunciPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <!-- <ion-navbar color="2primary">
    <ion-title>Ubah Kata Kunci</ion-title>
    <img src="assets/img/tbm.png">
  </ion-navbar> -->

  <ion-navbar color="2primary">
      <div class="androidHeader">
      <ion-title *ngIf="platformStatus == 'android'">
          <img src="assets/img/tbm.png" style="width: 3rem" >
           <b>Ubah Password</b>
      </ion-title>
      </div>
      
      <ion-title *ngIf="platformStatus == 'ios'">
          Ubah Password
      </ion-title>
      <div class="logoHeader" *ngIf="platformStatus == 'ios'">
          <img src="assets/img/tbm.png">
      </div>
  
    </ion-navbar>

</ion-header>


<ion-content padding>
  <form [formGroup]="changePassForm">
    <ion-list>
      <ion-item>
        <ion-label>Password Lama:</ion-label>
        <ion-input type="password" formControlName="oldPassword"></ion-input>
      </ion-item>
      <p *ngIf="validatorStatus==1">{{ validator }}</p>
      <!-- <p [hidden]="changePassForm.controls.oldPassword.valid" danger padding-left>Silahkan Masukan Password Anda</p> -->

      <ion-item>
        <ion-label>Password Baru:</ion-label>
        <ion-input type="password" formControlName="newPassword" [disabled]="changePassForm.controls.oldPassword.invalid"></ion-input>
      </ion-item>
      <p *ngIf="validatorStatus==2">{{ validator }}</p>
      <!-- <p [hidden]="changePassForm.controls.newPassword.valid" danger padding-left>Silahkan Masukan Password Baru</p> -->

      <ion-item>
        <ion-label>Konfirmasi Password:</ion-label>
        <ion-input type="password" formControlName="confirmNewPassword" [disabled]="changePassForm.controls.newPassword.invalid"></ion-input>
      </ion-item>
      <p *ngIf="validatorStatus==3">{{ validator }}</p>
      <p *ngIf="validatorStatus==4">{{ validator }}</p>
    </ion-list>

    <button ion-button color="buttonPesan" block (click)="ambilpasswordlamadaridatabase(changePassForm)" 
    [disabled]="changePassForm.controls.newPassword.value 
                != changePassForm.controls.confirmNewPassword.value 
                || changePassForm.controls.confirmNewPassword.value == '' "
                >Ubah Password</button>
    
  </form>
</ion-content>
